Summary:	SSH-based configuration management, deployment, and task execution system
Name:		ansible
Version:	2.9.27
Release:	1
License:	GPL v3+
Group:		Development/Libraries
Source0:	https://releases.ansible.com/ansible/%{name}-%{version}.tar.gz
# Source0-md5:	7d593641125be0e1e9d299340710663e
Source1:	poldek.py
Patch0:		poldek.patch
URL:		http://ansible.github.com/
BuildRequires:	python3-PyYAML
BuildRequires:	python3-modules
BuildRequires:	python3-straight-plugin
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python3-PyYAML
Requires:	python3-idna
Requires:	python3-jinja2
Requires:	python3-modules
Requires:	python3-paramiko
Requires:	python3-setuptools
Requires:	sshpass
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ansible is a radically simple model-driven configuration management,
multi-node deployment, and remote task execution system. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.

%prep
%setup -q
%patch0 -p1

%build
%py3_build
%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

install -p %{SOURCE1} $RPM_BUILD_ROOT%{py3_sitescriptdir}/ansible/modules/packaging/os

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_mandir}}
sed -re '/^#/ !s,[^#]+$,#&,' examples/hosts > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/hosts
cp -p examples/ansible.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -a docs/man/* $RPM_BUILD_ROOT%{_mandir}

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/.gitdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/hosts
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.cfg
%attr(755,root,root) %{_bindir}/ansible
%attr(755,root,root) %{_bindir}/ansible-connection
%attr(755,root,root) %{_bindir}/ansible-test
%{_bindir}/ansible-config
%{_bindir}/ansible-console
%{_bindir}/ansible-doc
%{_bindir}/ansible-galaxy
%{_bindir}/ansible-inventory
%{_bindir}/ansible-playbook
%{_bindir}/ansible-pull
%{_bindir}/ansible-vault
%{_mandir}/man1/ansible-config.1*
%{_mandir}/man1/ansible-console.1*
%{_mandir}/man1/ansible-galaxy.1*
%{_mandir}/man1/ansible-inventory.1*
%{_mandir}/man1/ansible-vault.1*
%{_mandir}/man1/ansible.1*
%{_mandir}/man1/ansible-doc.1*
%{_mandir}/man1/ansible-playbook.1*
%{_mandir}/man1/ansible-pull.1*
%{py3_sitescriptdir}/ansible
%{py3_sitescriptdir}/ansible-%{version}-*.egg-info
%{py3_sitescriptdir}/ansible_test
%changelog
* Wed Nov 24 2021 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/ansible.git;a=log;h=master

* Wed Nov 24 2021 Marcin Krol <hawk@tld-linux.org> 5f3a4eb
- updated to 2.9.27

* Sun Aug 16 2020 Marcin Krol <hawk@tld-linux.org> e2d089f
- updated to 2.9.12

* Wed Apr 08 2020 Marcin Krol <hawk@tld-linux.org> d76feb1
- updated to 2.9.6

* Sat Dec 14 2019 Marcin Krol <hawk@tld-linux.org> a80be5e
- updated to 2.9.2

* Mon Sep 02 2019 Marcin Krol <hawk@tld-linux.org> 115fad8
- updated to 2.8.4

* Fri Jun 21 2019 Marcin Krol <hawk@tld-linux.org> a9526f3
- include version when listing available updates

* Fri Jun 21 2019 Marcin Krol <hawk@tld-linux.org> b04a8b9
- updated to 2.8.1

* Fri Jun 21 2019 Marcin Krol <hawk@tld-linux.org> 870abe4
- added support for poldek package manager

* Wed Jun 19 2019 Marcin Krol <hawk@tld-linux.org> 6f93ef0
- fix python modules BR

* Wed Jun 19 2019 Marcin Krol <hawk@tld-linux.org> f1b8145
- works fine, release 1, poldek support will be added later

* Wed Jun 19 2019 Marcin Krol <hawk@tld-linux.org> 6fe6de1
- ansible

